# operator==,!=(std::discard_block_engine)

From cppreference.com
< cpp‎ | numeric‎ | random‎ | discard block engine

template< class Engine, size_t p, size_t r > bool operator==( const discard_block_engine<Engine,p,r>& lhs, const discard_block_engine<Engine,p,r>& rhs ); | (1) | (since C++11)
template< class Engine, size_t p, size_t r > bool operator!=( const discard_block_engine<Engine,p,r>& lhs, const discard_block_engine<Engine,p,r>& rhs ); | (2) | (since C++11)

Compares two pseudo-random number engine adaptors. Two engine adaptors are equal, if their underlying engines are equal and their internal state (if any) is equal, that is, if they would generate equivalent values for any number of calls of operator().

### Parameters

lhs, rhs | - | engine adaptors to compare

### Return value

1) true if the engine adaptors are equivalent, false otherwise.
2) true if the engine adaptors are not equivalent, false otherwise.

### Exceptions

(none)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/numeric/random/discard_block_engine/operator_cmp&oldid=50920"